Ticket #1835 (closed enhancement: fixed)

Opened 9 years ago

Last modified 8 years ago

管理画面でのメンバー詳細検索機能

Reported by: kiwa Assigned to: tsubasa
Priority: minor Milestone: OpenPNE2.13.7
Component: pne-admin Version:
Keywords: 2.11要望 Cc:

Description (Last modified by kudo)

■概要

管理画面メンバーリストにて、メールアドレス(完全一致)以外に、プロフィール項目などでのメンバー検索を追加する。

■仕様

メンバーリスト(admin_page_list_c_member)にメンバー検索(admin_page_find_c_member)へのリンクを追加。

メンバー検索(admin_page_find_c_member)は以下の検索項目が使用可能。

  • メンバーID
  • プロフィール項目
  • PCメールアドレス登録の有無
  • 携帯メールアドレス登録の有無
  • メールアドレス
  • ランク

検索後、検索条件で絞り込まれたメンバーが表示されたadmin_page_list_c_memberに遷移する。

■関連情報

元のDescription

http://sns.openpne.jp/?m=pc&a=page_fh_diary&target_c_diary_id=15173 より転記

	
管理画面のメンバーリストで「メールアドレス検索(完全一致): 」以外にも、

ID検索、ニックネーム検索ができたらいいですね。

Change History

01/25/08 14:59:25 changed by kiwa

http://sns.openpne.jp/?m=pc&a=page_fh_diary&target_c_diary_id=15187 に同じ要望がありました

管理画面のメンバーリスト上から、
・ニックネーム
・ID
等で検索可能にして欲しいです。
あれだけ絞込み検索が充実していながら、こういった基本的情報で検索できないのは、ちょっとユーザビリティとして歪かなと思います。

「SNS内のメンバー検索でやっては?」という意見もあるかも知れませんが、『管理画面上で管理を完結させる』ことには意義があると思いますし、必要な機能かと思います。

あと、「メンバーリストで表示件数を増やしてブラウザで検索」というのも、1万人以上いるようなSNSでは非現実的です。

ご検討、よろしくお願いいたします。

(follow-up: ↓ 3 ) 02/27/09 15:16:24 changed by tsubasa

r10902
上記リビジョンでメンバー検索機能に詳細検索を追加しました。

(in reply to: ↑ 2 ) 02/27/09 16:58:14 changed by kiwa

  • milestone set to OpenPNE2.13.7.

2.13.7で取り込みます。

03/11/09 14:47:01 changed by nakasone

  • keywords changed from 2.11要望 to 2.11要望 確認中.

以下のリビジョンで対応しました。

03/16/09 10:17:51 changed by kiwa

  • keywords changed from 2.11要望 確認中 to 2.11要望 差し戻し.

r10905 が取り込まれていません。

03/16/09 16:41:55 changed by nakasone

  • keywords changed from 2.11要望 差し戻し to 2.11要望 確認中.

以下のリビジョンで対応しました。

03/25/09 19:24:52 changed by fukamachi

r11166

コミュニティリストのページ関連を削除しました。

04/08/09 20:07:48 changed by kawahara

チェックします

04/08/09 20:23:10 changed by kawahara

  • keywords changed from 2.11要望 確認中 to 2.11要望 差し戻し.

差し戻し

  • nickname、last_loginといった、識別子を持った項目を作成して、その項目についてソートすると、正しくソート処理ができなくなっています。

ソートする項目の指定に関して、#1163 の変更が適用されていないようです。

04/08/09 21:44:31 changed by kawahara

また、Descriptionの変更をお願いします。

04/10/09 16:52:35 changed by kiwa

  • description changed.

04/10/09 16:52:48 changed by kiwa

description整えました。

04/11/09 18:09:34 changed by kiwa

「絞り込んだメンバーにメッセージ/Eメールを送る」画面(admin_page_send_messages_search)にて、以下のWarningが発生するようになっています。

( ! ) Warning: array_key_exists() [function.array-key-exists]: The second argument should be either an array or an object in /hogehoge/webapp/modules/admin/lib/db_admin.php on line 1065

04/14/09 11:25:09 changed by nagasawa

  • summary changed from admin:メンバーリストの検索方法の種類を増やしてほしい to .

やります

04/14/09 11:25:14 changed by nagasawa

  • owner changed from nobody to nagasawa.

04/14/09 11:36:18 changed by nagasawa

comment:13 r11290 で修正しました。

04/14/09 12:03:45 changed by kiwa

  • summary changed from to メンバーリストの検索方法の種類を増やしてほしい.

04/14/09 12:05:41 changed by kiwa

  • keywords changed from 2.11要望 差し戻し to 2.11要望 確認中.

修正されたようなので確認中にします。

04/16/09 12:08:05 changed by kiwa

  • keywords changed from 2.11要望 確認中 to 2.11要望.
  • owner changed from nagasawa to tsubasa.
  • summary changed from メンバーリストの検索方法の種類を増やしてほしい to 管理画面でのメンバー詳細検索機能.

#3835:管理画面でのメンバー詳細検索機能 コードチェック

残りのコードチェックは上のチケットで行います。動作を確認したところ致命的な問題はなさそうなので、今回はこれで完了とします。

04/16/09 12:08:11 changed by kiwa

  • status changed from new to closed.
  • resolution set to fixed.

05/25/09 11:24:27 changed by kudo

  • description changed.